#
# spec file for package apache2-mod_rpaf (Version 0.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_rpaf
BuildRequires: apache2-devel
%define modname mod_rpaf
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	0.6
Release:	16.1
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	opposite of mod_proxy_add_forward
Url:		http://stderr.net/apache/rpaf/
Source0:	http://stderr.net/apache/rpaf/download/%{modname}-%{version}.tar.gz
Source1:	mod_rpaf.conf
Patch0:		mod_rpaf-ipv6.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is for frontend Apache servers. It does excactly the opposite of mod_proxy_add_forward written by Ask Bjørn Hansen. It will also work with mod_proxy in Apache starting with release 1.3.25 and mod_proxy that is distributed with Apache2 from version 2.0.36.

%debug_package
%prep
%setup -n %{modname}-%{version}
%patch0 -p1

%build
%{apxs} -a -n %{modname}.so -c %{modname}-2.0.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
cp -p .libs/%{modname}-2.0.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
cp %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/%{modname}.conf

%files
%defattr(-,root,root)
%doc CHANGES README
%{apache_libexecdir}/*.so
%config(noreplace) %{apache_sysconfdir}/conf.d/%{modname}.conf

%changelog
* Sat May 22 2010 Carsten Schoene <cs@linux-administrator.com> - 0.6-2
- added IPv6 patch

* Sun Oct 31 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package (0.6)
